Bug 258712 - www/neon: Update to 0.32.1
Summary: www/neon: Update to 0.32.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lev A. Serebryakov
URL: https://notroj.github.io/neon/
Keywords:
Depends on: 259594 259595
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-25 07:29 UTC by Daniel Engberg
Modified: 2021-11-24 14:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lev)


Attachments
Patch for neon (11.16 KB, patch)
2021-09-25 07:29 UTC, Daniel Engberg
no flags Details | Diff
Patch for neon v2 (12.35 KB, patch)
2021-11-01 10:27 UTC, Daniel Engberg
no flags Details | Diff
Patch for neon v3 (12.12 KB, patch)
2021-11-01 10:34 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-25 07:29:37 UTC
Created attachment 228161 [details]
Patch for neon

Update to 0.32.1

Backport upstream commits f678aba4815bbcb63102dcdcd31f0ebcfdf553b4 and 0aab576319c92f5340905b7e8314db4fa4515895

Manpages probably needs a bit more love according to Poudriere

"
xmlto -o `pwd`/doc/man -x ./doc/man.xsl man ./doc/manual.xml
I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/ent/isonum.ent
/wrkdirs/usr/ports/www/neon/work/neon-0.32.1/./doc/manual.xml:11: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/ent/isonum.ent"
%isoent;
        ^
I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/ent/isopub.ent
/wrkdirs/usr/ports/www/neon/work/neon-0.32.1/./doc/manual.xml:12: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/ent/isopub.ent"
%isopub;
        ^
"

The reason why documentation and manpages now are split out is because they require xmlto (and friends) to build.

Compile tested on FreeBSD 13.0-STABLE #0 stable/13-n246086-a20c597c6d7 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Daniel Engberg freebsd_committer 2021-11-01 10:27:57 UTC
Created attachment 229186 [details]
Patch for neon v2

Fix docs (thanks to mandree for debugging)
Drop static library
Comment 2 Daniel Engberg freebsd_committer 2021-11-01 10:34:59 UTC
Created attachment 229187 [details]
Patch for neon v3

Drop unneeded patch for test-suite (not suitable to be utilized in ports framework as it requires manual setup of a webserver)
Comment 3 Lev A. Serebryakov freebsd_committer 2021-11-01 13:04:19 UTC
I have one problem with this: many ports check neon version. I've fixed some of them already, but I have no resources to patch OpenOffice, for example...

An I don't have resources to test compatibility :-(

I have neon updated locally, but I don't push this change because I'm not sure, who should update all consumer ports.
Comment 4 Daniel Engberg freebsd_committer 2021-11-01 13:38:52 UTC
Hi,

OpenOffice doesn't seem to use neon at all?
Usually when it comes to users we only test direct dependencies and handle the rest per port otherwise we'd be stuck forever.

What ports have you fixed and/or submitted patches for?

Best regards,
Daniel
Comment 5 Lev A. Serebryakov freebsd_committer 2021-11-01 14:00:49 UTC
(In reply to Daniel Engberg from comment #4)

Sorry, libreoffice:

> find . -type f -name Makefile\* | xargs grep www/neon
./multimedia/gstreamer1-plugins/Makefile.common:gst_neon_LIB_DEPENDS+=  libneon.so:www/neon
./multimedia/audacious-plugins/Makefile:NEON_LIB_DEPENDS=       libneon.so:www/neon
./devel/pysvn/Makefile:         libneon.so:www/neon \
./misc/far2l/Makefile:WEBDAV_LIB_DEPENDS=       libneon.so:www/neon
./sysutils/nut/Makefile:LIB_DEPENDS+=   libneon.so:www/neon
./sysutils/avfs/Makefile:DAV_LIB_DEPENDS=       libneon.so:www/neon
./sysutils/nut-devel/Makefile:LIB_DEPENDS+=     libneon.so:www/neon
./net/asterisk18/Makefile:EXCHANGE_LIB_DEPENDS= libneon.so:www/neon \
./net/asterisk16/Makefile:EXCHANGE_LIB_DEPENDS= libneon.so:www/neon \
./audio/libmusicbrainz5/Makefile:LIB_DEPENDS=   libneon.so:www/neon
./audio/libcoverart/Makefile:           libneon.so:www/neon
./editors/libreoffice/Makefile:WEBDAV_LIB_DEPENDS=      libneon.so:www/neon
./editors/libreoffice6/Makefile:WEBDAV_LIB_DEPENDS=     libneon.so:www/neon
./www/cadaver/Makefile:LIB_DEPENDS=     libneon.so:www/neon
./www/sitecopy/Makefile:LIB_DEPENDS=    libneon.so:www/neon
./www/litmus/Makefile:LIB_DEPENDS=      libneon.so:www/neon \
>


I've fixed only www/sitecopy now, and I don't have enought resources to build all this gstreamer & libreoffice heavy GUI-related stuff :-(
Comment 6 Daniel Engberg freebsd_committer 2021-11-01 15:00:21 UTC
multimedia/gstreamer1-plugins - Needs to be checked
www/gstreamer1-plugins-neon  - Broken, needs patch
multimedia/audacious-plugins - Compiling
devel/pysvn - OK
misc/far2l - Compiling (will take hours)
sysutils/nut + sysutils/nut-devel - OK
sysutils/avfs - OK
net/asterisk16 - Needs to be checked
net/asterisk18 - Needs to be checked
audio/libmusicbrainz5 - OK
audio/libcoverart - OK
editors/libreoffice - Needs to be checked
www/cadaver: Patch needed, https://reviews.freebsd.org/D32777
www/sitecopy: Patch needed, https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259594
www/litmus: Patch needed, https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=259595
Comment 7 Daniel Engberg freebsd_committer 2021-11-01 22:06:57 UTC
multimedia/audacious-plugins OK!
misc/far2l OK!
net/asterisk18 OK!
net/asterisk16 OK!

TODO: 
gstreamer1 needs patching
libreoffice needs testing, I've pinged the committers as I don't have a powerful box to build libreoffice
Comment 8 Daniel Engberg freebsd_committer 2021-11-01 22:32:33 UTC
www/gstreamer1-plugins-neon - Patch needed, https://reviews.freebsd.org/D32791
Comment 9 Daniel Engberg freebsd_committer 2021-11-02 23:13:58 UTC
lwhsu@ kindly ran a build test and reported that it built without issue.

I'll see if I can get portmgr approval on the remaining patches

Lev, can you set maintainer feedback to + unless you want something changed?

Best regards,
Daniel
Comment 10 commit-hook freebsd_committer 2021-11-24 14:05:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=321b34151da1852c7748b77251c66b7afd227356

commit 321b34151da1852c7748b77251c66b7afd227356
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-11-24 13:58:24 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-11-24 14:04:50 +0000

    www/neon: Update to 0.32.1

    Drop static library

    Changelog: https://notroj.github.io/neon/

    Thanks to mandree for debugging an issue with docs and lwhsu for
    compile testing this patch with libreoffice

    PR:             258712
    Approved by:    arrowd (mentor), maintainer timeout (3+ weeks)
    Differential Revision:  https://reviews.freebsd.org/D32771

 www/neon/Makefile                         |  13 +-
 www/neon/distinfo                         |   8 +-
 www/neon/files/extrapatch-docs (new)      |  20 +++
 www/neon/files/patch-doc_manual.xml (new) |  17 +++
 www/neon/pkg-descr                        |   2 +-
 www/neon/pkg-plist                        | 202 +++++++++++++++---------------
 6 files changed, 157 insertions(+), 105 deletions(-)